Bug 45745 - Maintainer update: net/adasockets
Summary: Maintainer update: net/adasockets
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-26 09:40 UTC by root
Modified: 2003-01-08 14:52 UTC (History)
0 users

See Also:


Attachments
file.diff (832 bytes, patch)
2002-11-26 09:40 UTC, root
no flags Details | Diff
file.dat (2.57 KB, message/rfc822)
2002-11-26 09:40 UTC, root
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description root 2002-11-26 09:40:01 UTC
	net/adasockets: AdaSockets 1.2 -> AdaSockets 1.4.1 (needed for GNAT
	3.15p)

Fix: Apply the following patch with -p0 in ${PORTSDIR}/net/adasockets:
Comment 1 root 2002-11-26 09:40:07 UTC
******************* IMPORTANT --- MESSAGE AUTOMATIQUE *****************

Merci de confirmer que le message que vous avez envoyé n'est pas un
courrier publicitaire non sollicité en répondant à ce courrier en
conservant son sujet (ce que font quasiment tous les logiciels de
messagerie), ou en envoyant la ligne ci-dessous seule:

  confirm #d42a70d5ad1b7d05

Lorsque vous aurez fait cela, votre adresse sera automatiquement ajoutée
à ma liste d'autorisation, et vous n'aurez pas à répéter ce processus.

Si vous ne confirmez pas ce message, je risque de ne jamais voir votre
courriel, car il est actuellement en quarantaine dans mon système de
confirmation automatique.

Plus d'informations? Allez voir: http://www.rfc1149.net/wle

------------------------------------------------------------------------
********* IMPORTANT: PLEASE READ  ---  AUTOMATIC MESSAGE *******

To confirm that the message you sent (quoted below) is not an
unsollicited commercial email, please answer this mail keeping the subject
line intact (as most mail clients will do automatically) or send the
following line alone in the mail body:

  confirm #d42a70d5ad1b7d05

Once you have done that, your address will be added to my whitelist
and you will not have to repeat this process again.

If you don't answer, I will most likely never get your message as it is
currently being retained by my automatic confirmation system.

More info? Look at: http://www.rfc1149.net/wle

------------------------------------------------------------------------
Comment 2 Tilman Keskinoz freebsd_committer 2002-11-26 10:04:29 UTC
Hi Samuel,

I have problems building this on CURRENT:

===>  Building for adasockets-1.4.1
Making all in src
make  all-am
gnatmake -g -O2 ./split.adb
adagcc -c -I./ -g -O2 -I- ./split.adb
split.adb:42:12: warning: "System.Io" is an internal GNAT unit
split.adb:42:12: warning: use of this unit is non-portable and 
version-dependent
gnatbind -x split.ali
gnatlink -g split.ali
/usr/local/lib/gcc-lib/i386-unknown-freebsd5.0/2.8.1/adalib//libgnat.so: 
warning: mktemp() possibly used unsafely; consider using mkstemp()
cc -I. -o constants_nodef ./constants.c
In file included from constants.c:28:
/usr/include/netinet/tcp.h:44: syntax error before "tcp_seq"
/usr/include/netinet/tcp.h:44: warning: data definition has no type or storage 
class
/usr/include/netinet/tcp.h:45: syntax error before "tcp_cc"
/usr/include/netinet/tcp.h:45: warning: data definition has no type or storage 
class
/usr/include/netinet/tcp.h:55: syntax error before "u_short"
*** Error code 1
Comment 3 David Holm 2002-12-20 23:46:05 UTC
Yeah, I had the same problem. The solution was to replaces the old cdefs.=
h=20
include with #include <sys/types.h>

I'm gonna mail the current mailinglist and ask if this is a bug.

//David Holm
Comment 4 Tilman Keskinoz freebsd_committer 2003-01-08 14:38:58 UTC
State Changed
From-To: open->closed

Committed, thanks